import { Request, Response } from "express";
import { User } from "../models/user";
import { MONGODB_IGNORED_FIELDS_USER } from "../utils/constants";

export async function GetUserProfile(req: Request, res: Response) {
  try {
    const user = await User.findOne({
      accountName: req.params.accountName,
    })
      .select(`-accountName ${MONGODB_IGNORED_FIELDS_USER}`)
      .lean();

    if (!user) {
      return res.status(404).json({ status: "err" });
    }

    res.json(user);
  } catch (error) {
    console.error("error on get user profile:", error);
    res.status(500).json({ status: "err" });
  }
}
